## kdevelop-python 24.12.0

=== debian/changelog ===
kdevelop-python (24.12.0-0ubuntu4) plucky; urgency=medium

  * Build depend and depend on python3-defaults meta packages instead of
    specific versions.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Jan 2025 11:40:51 +0000

kdevelop-python (24.12.0-0ubuntu3) plucky; urgency=medium

  * Fix build with python 3.13 as default.

 -- Rik Mills <rikmills@kde.org>  Sat, 04 Jan 2025 14:53:46 +0000

kdevelop-python (24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:39 +0100

kdevelop-python (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps and build system for Qt6/KF6.
  * Bump KDEV_PLUGIN_VERSION to 61, according to upstream.
  * Update install files.
  * Bump stardards to 4.7.0, no changes required.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2024 03:22:38 +0000

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.19~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kdevelop-dev (>= 4:24.12.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6threadweaver-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libpython3-dev,
               python3,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python

Package: kdevelop-python
Architecture: any
Depends: python3,
 kdevelop-python-data (>= ${source:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop, pycodestyle, python3-autopep8
Suggests: kdevelop-python-l10n
Enhances: kdevelop
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Python 3 plugin for KDevelop - data files
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the data files for Python 3 language support plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.

=== debian/rules ===
#!/usr/bin/make -f

# from kdevelop
export KDEV_PLUGIN_VERSION=61

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

.PHONY: override_dh_auto_test

## kdevelop-python 24.12.1

=== debian/changelog ===
kdevelop-python (24.12.1-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * Build with Python 3.13 (Closes: #1092063).
  * Cherry-pick upstream patch for Python 3.13 compatibility.
  * Update Standards-Version to 4.7.0 (no changes required).

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Drop Python 3.13 compatibility patches, now shipped upstream.
  * Build with hardening=+all build hardening flag.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 23:59:29 +0100

kdevelop-python (23.08.1-2) unstable; urgency=medium

  * Team upload.
  * Build with python 3.12 (Closes: #1081080)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Sep 2024 22:40:47 +0200

kdevelop-python (23.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 23.08.1, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Sep 2023 17:22:33 +0200

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.19~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kdevelop-dev (>= 4:24.12~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6threadweaver-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libpython3.13-dev,
               python3.13:any,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python.git

Package: kdevelop-python
Architecture: any
Depends: kdevelop-python-data (>= ${source:Version}),
         python3.13,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdevelop, pycodestyle, python3-autopep8,
Suggests: kdevelop-python-l10n,
Enhances: kdevelop,
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
Description: Python 3 plugin for KDevelop - data files
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the data files for Python 3 language support plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends},
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.

## kdevelop-python 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

# KDE Gear version, managed by release service script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")

# generate patch level from release service version
set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
if (_micro LESS "10")
    string(PREPEND _micro "0") # pad with 0
endif()
set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")

project(kdevpython VERSION "6.0.${RELEASE_SERVICE_BASED_PATCHLEVEL}")

# KDevplatform dependency version
set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")

set(KDE_COMPILERSETTINGS_LEVEL 6.0)
set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED)
set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)

include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
endif()

add_definitions( -DTRANSLATION_DOMAIN=\"kdevpython\" )

set(Python3_USE_STATIC_LIBS FALSE)
set(Python3_FIND_STRATEGY VERSION)
find_package(Python3 3.4.3...<3.14 COMPONENTS Interpreter Development REQUIRED)

configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)

find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
find_package(KDevelop ${KDEVPLATFORM_VERSION} REQUIRED)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Core5Compat
    Widgets
    Test
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    I18n
    Parts
    Service
    TextEditor
    ThreadWeaver
    WidgetsAddons
    XmlGui
)

if ( NOT WIN32 )
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wfatal-errors -Wall")
endif ( NOT WIN32 )

# then, build the plugin
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/duchain
    ${CMAKE_CURRENT_SOURCE_DIR}/parser
    ${CMAKE_CURRENT_BINARY_DIR}/parser
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(codecompletion)
add_subdirectory(debugger)
add_subdirectory(docfilekcm)

set(kdevpythonlanguagesupport_PART_SRCS
    codegen/correctionfilegenerator.cpp
    codegen/refactoring.cpp
    pythonlanguagesupport.cpp
    pythonparsejob.cpp
    pythonhighlighting.cpp
    pythonstylechecking.cpp

    # config pages:
    docfilekcm/docfilewizard.cpp
    docfilekcm/docfilemanagerwidget.cpp
    docfilekcm/kcm_docfiles.cpp
    pep8kcm/kcm_pep8.cpp
    projectconfig/projectconfigpage.cpp
)
ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
    HEADER codegendebug.h
    IDENTIFIER KDEV_PYTHON_CODEGEN
    CATEGORY_NAME "kdevelop.plugins.python.codegen"
    DESCRIPTION "KDevelop plugin: Python language support - codegen"
    EXPORT KDEVPYTHON
)
ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
    HEADER pythondebug.h
    IDENTIFIER KDEV_PYTHON
    CATEGORY_NAME "kdevelop.plugins.python"
    DESCRIPTION "KDevelop plugin: Python language support"
    EXPORT KDEVPYTHON
)

ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
    codegen/correctionwidget.ui
    projectconfig/projectconfig.ui
    pep8kcm/pep8.ui
)

kdevplatform_add_plugin(kdevpythonlanguagesupport JSON kdevpythonsupport.json SOURCES ${kdevpythonlanguagesupport_PART_SRCS})

target_link_libraries(kdevpythonlanguagesupport
    KDev::Interfaces
    KDev::Language
    KDev::Util
    KF6::Service
    KF6::ThreadWeaver
    KF6::TextEditor
    kdevpythoncompletion
    kdevpythonparser
    kdevpythonduchain
)

get_target_property(DEFINESANDINCLUDES_INCLUDE_DIRS KDev::DefinesAndIncludesManager INTERFACE_INCLUDE_DIRECTORIES)
include_directories(${DEFINESANDINCLUDES_INCLUDE_DIRS})

install(DIRECTORY documentation_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
install(DIRECTORY correction_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
install(FILES codestyle.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)

install(FILES org.kde.kdev-python.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# kdebugsettings file
ecm_qt_install_logging_categories(
    EXPORT KDEVPYTHON
    FILE kdevpythonsupport.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== codecompletion/CMakeLists.txt ===
set(completion_SRCS
    context.cpp 
    model.cpp
    worker.cpp
    helpers.cpp

    items/missingincludeitem.cpp
    items/declaration.cpp
    items/functiondeclaration.cpp
    items/implementfunction.cpp
    items/importfile.cpp
    items/keyword.cpp
    items/replacementvariable.cpp
)
ecm_qt_declare_logging_category(completion_SRCS
    HEADER codecompletiondebug.h
    IDENTIFIER KDEV_PYTHON_CODECOMPLETION
    CATEGORY_NAME "kdevelop.plugins.python.codecompletion"
    DESCRIPTION "KDevelop plugin: Python language support - codecompletion"
    EXPORT KDEVPYTHON
)

add_library(kdevpythoncompletion SHARED ${completion_SRCS})

generate_export_header(kdevpythoncompletion EXPORT_MACRO_NAME KDEVPYTHONCOMPLETION_EXPORT
                                             EXPORT_FILE_NAME pythoncompletionexport.h
)

add_dependencies(kdevpythoncompletion
    kdevpythonparser 
    kdevpythonduchain
)

target_link_libraries(kdevpythoncompletion LINK_PRIVATE
    KDev::Language
    KDev::Interfaces
    KDev::Project
    kdevpythonduchain
    kdevpythonparser
)

install(TARGETS kdevpythoncompletion DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
kdevelop-python (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Bump the kdevelop-dev build dependency to 24.12.3, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Mar 2025 06:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake (>= 3.19~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:24.12~),
+               kdevelop-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
@@ -23,7 +23,7 @@
                python3.13:any,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # from kdevelop
 export KDEV_PLUGIN_VERSION=61

## kdevelop-python 25.04.1

=== debian/changelog ===
kdevelop-python (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:44 +0100

kdevelop-python (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 62

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:27 +0100

kdevelop-python (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend and depend on python3-defaults meta packages instead
      of specific versions.
    - Limit build to architectures where kdevelop-dev is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 09:45:26 +0000

kdevelop-python (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:59 +0000

kdevelop-python (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:15:34 +0000

kdevelop-python (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where kdevelop-dev is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:30:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kdevelop-python
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.19~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.19~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:24.12.3~),
+               kdevelop-dev (>= 4:25.04.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
@@ -19,20 +20,20 @@
                libkf6threadweaver-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libpython3.13-dev,
-               python3.13:any,
+               libpython3-dev,
+               python3,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop-python-data (>= ${source:Version}),
-         python3.13,
+         python3,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: kdevelop, pycodestyle, python3-autopep8,

## kdevelop-python 25.04.2

=== debian/changelog ===
kdevelop-python (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:44:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.04.1~),
+               kdevelop-dev (>= 4:25.04.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

## kdevelop-python 25.04.3

=== debian/changelog ===
kdevelop-python (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.04.2~),
+               kdevelop-dev (>= 4:25.04.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=61
+export KDEV_PLUGIN_VERSION=62
 
 %:
 	dh $@

## kdevelop-python 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.19)
 
 # KDE Gear version, managed by release service script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 63.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 13:24:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.04.3~),
+               kdevelop-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

## kdevelop-python 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:44:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.07.80~),
+               kdevelop-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

## kdevelop-python 25.08.0

=== debian/changelog ===
kdevelop-python (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:51:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.07.90~),
+               kdevelop-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

## kdevelop-python 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== duchain/tests/CMakeLists.txt ===
set(pyduchaintest_SRCS
    pyduchaintest.cpp
    ../duchaindebug.cpp)

ecm_add_test(${pyduchaintest_SRCS}
    TEST_NAME pyduchaintest)

set(duchainbench_SRCS
    duchainbench.cpp
    ../duchaindebug.cpp)

ecm_add_test(${duchainbench_SRCS}
    TEST_NAME duchainbench)

add_definitions(-DDUCHAIN_PY_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

target_link_libraries(pyduchaintest
    kdevpythonduchain
    kdevpythonparser
    ${kdevpythonparser_LIBRARIES}
    Qt6::Test
    KDev::Tests
)

target_link_libraries(duchainbench
    kdevpythonduchain
    kdevpythonparser
    ${kdevpythonparser_LIBRARIES}
    Qt6::Test
    KDev::Tests
)

=== parser/tests/CMakeLists.txt ===
set(pyasttest_SRCS pyasttest.cpp ../parserdebug.cpp)

include_directories(${CMAKE_BINARY_DIR}/duchain)
ecm_add_test(${pyasttest_SRCS}
    TEST_NAME pyasttest
    LINK_LIBRARIES kdevpythonparser Qt6::Test KDev::Tests)

=== debian/changelog ===
kdevelop-python (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.08.0~),
+               kdevelop-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=62
+export KDEV_PLUGIN_VERSION=63
 
 %:
 	dh $@

## kdevelop-python 25.08.1+p24.04+vstable+git20250910.0616

=== debian/changelog ===
kdevelop-python (25.08.1+p24.04+vstable+git20250910.0616-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:17:01 +0000

kdevelop-python (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 08:58:03 +0000

kdevelop-python (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:33:02 +0000

kdevelop-python (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:14:21 +0000

kdevelop-python (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:31:43 +0000

kdevelop-python (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:20:13 +0000

kdevelop-python (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:07:49 +0000

kdevelop-python (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:32:45 +0000

kdevelop-python (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:42:47 +0000

kdevelop-python (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:33:48 +0000

kdevelop-python (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:30:01 +0000

kdevelop-python (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:30:46 +0000

kdevelop-python (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:03:33 +0000

kdevelop-python (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:40:14 +0000

kdevelop-python (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:57:53 +0000

kdevelop-python (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:02:28 +0000

kdevelop-python (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:47:51 +0000

kdevelop-python (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:43:48 +0000

kdevelop-python (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:26:15 +0000

kdevelop-python (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:19:36 +0000

kdevelop-python (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:03:31 +0000

kdevelop-python (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:43:49 +0000

kdevelop-python (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:30:53 +0000

kdevelop-python (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:57:22 +0000

kdevelop-python (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:35:26 +0000

kdevelop-python (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:46:11 +0000

kdevelop-python (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:13:00 +0000

kdevelop-python (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:59:30 +0000

kdevelop-python (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:21:55 +0000

kdevelop-python (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:55:12 +0000

## kdevelop-python 25.08.1+p24.04+vstable+git20251002.0436

=== debian/changelog ===
kdevelop-python (25.08.1+p24.04+vstable+git20251002.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:36:49 +0000

## kdevelop-python 25.08.2

=== app_templates/CMakeLists.txt ===
set(apptemplate_DIRS
    simple_pythonapp
    django_project
    qtdesigner_app
)

kdevplatform_add_app_templates(${apptemplate_DIRS})

=== debian/changelog ===
kdevelop-python (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.08.1~),
+               kdevelop-dev (>= 4:25.08.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/kdev-python-([\d.]+)\.tar\.xz

## kdevelop-python 25.08.2+p24.04+vstable+git20251015.1831

=== debian/changelog ===
kdevelop-python (25.08.2+p24.04+vstable+git20251015.1831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:31:32 +0000

kdevelop-python (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:46:22 +0000

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kdevelop-dev (>= 4:22.04.1~),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-ktexteditor-dev,
               kf6-syntax-highlighting-dev,
               kf6-threadweaver-dev,
               pkg-kde-tools-neon,
               python3-dev,
               qt6-base-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Git: https://invent.kde.org/neon/extras/kdevelop-python.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdevelop-python
Maintainer: Neon CI <neon@kde.org>

Package: kdevelop-python
Architecture: any
Depends: kdevelop-python-data (>= ${source:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdevelop, pycodestyle, python3-autopep8
Enhances: kdevelop
Breaks: kdevelop-python-data (<< 24.08.1), kdevelop-python-l10n (<< 24.08.1)
Replaces: kdevelop-python-data (<< 24.08.1), kdevelop-python-l10n (<< 24.08.1)
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Depends: kdevelop-python, ${misc:Depends}
Description: Description: Dummy transitional.
 This is a dummy transitional package and can be safely removed.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: kdevelop-python, ${misc:Depends}
Description: Description: Dummy transitional.
 This is a dummy transitional package and can be safely removed.

## kdevelop-python 25.08.2+p24.04+vstable+git20251018.2359

=== debian/changelog ===
kdevelop-python (25.08.2+p24.04+vstable+git20251018.2359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:59:25 +0000

## kdevelop-python 25.08.2+p24.04+vstable+git20251031.0332

=== debian/changelog ===
kdevelop-python (25.08.2+p24.04+vstable+git20251031.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:32:26 +0000

## kdevelop-python 25.08.2+p24.04+vunstable+git20251011.0640

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (25.08.2+p24.04+vunstable+git20251011.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:15 +0000

## kdevelop-python 25.08.2+p24.04+vunstable+git20251015.1831

=== debian/changelog ===
kdevelop-python (25.08.2+p24.04+vunstable+git20251015.1831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:32:00 +0000

## kdevelop-python 25.08.2+p24.04+vunstable+git20251020.0538

=== debian/changelog ===
kdevelop-python (25.08.2+p24.04+vunstable+git20251020.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:38:17 +0000

## kdevelop-python 25.08.3

=== codecompletion/tests/CMakeLists.txt ===
set(pycompletiontest_SRCS 
    pycompletiontest.cpp
    ../codecompletiondebug.cpp)

ecm_add_test(${pycompletiontest_SRCS}
    TEST_NAME pycompletiontest
    LINK_LIBRARIES
        kdevpythonduchain
        kdevpythoncompletion
        kdevpythonparser
        ${kdevpythonparser_LIBRARIES}
        Qt6::Test
        KF6::Service
        KDev::Tests
)

=== debian/changelog ===
kdevelop-python (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:23:03 +0000

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.19~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kdevelop-dev (>= 4:25.08.3~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6threadweaver-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libpython3-dev,
               python3,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python

Package: kdevelop-python
Architecture: amd64 arm64 armhf
Depends: kdevelop-python-data (>= ${source:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdevelop, pycodestyle, python3-autopep8,
Suggests: kdevelop-python-l10n,
Enhances: kdevelop,
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
Description: Python 3 plugin for KDevelop - data files
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the data files for Python 3 language support plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends},
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.

## kdevelop-python 25.08.3+p24.04+vunstable+git20251202.2244

=== debian/changelog ===
kdevelop-python (25.08.3+p24.04+vunstable+git20251202.2244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:44:38 +0000

kdevelop-python (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:22 +1000

## kdevelop-python 25.08.3+p24.04+vunstable+git20251204.0022

=== debian/changelog ===
kdevelop-python (25.08.3+p24.04+vunstable+git20251204.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 00:22:17 +0000

## kdevelop-python 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debugger/CMakeLists.txt ===
set(kdevpdb_PART_SRCS
    breakpointcontroller.cpp
    variable.cpp
    variablecontroller.cpp
    pdbframestackmodel.cpp
    pdblauncher.cpp
    debugjob.cpp
    debugsession.cpp
    pdbdebuggerplugin.cpp
    pdbprocess.cpp
    pdbinterrupt.cpp
    pdbdebuggerinstance.cpp
)
ecm_qt_declare_logging_category(kdevpdb_PART_SRCS
    HEADER debuggerdebug.h
    IDENTIFIER KDEV_PYTHON_DEBUGGER
    CATEGORY_NAME "kdevelop.plugins.python.debugger"
    DESCRIPTION "KDevelop plugin: Python language support - debugger"
    EXPORT KDEVPYTHON
)

# Declare a separate category for VariableController so that the noise
# from KDEV_PYTHON_DEBUGGER can be ignored.
ecm_qt_declare_logging_category(kdevpdb_PART_SRCS
    HEADER variabledebug.h
    IDENTIFIER KDEV_PYTHON_VARIABLECONTROLLER
    CATEGORY_NAME "kdevelop.plugins.python.debugger.variablecontroller"
    DESCRIPTION "KDevelop plugin: Python language support - debugger variable support"
    EXPORT KDEVPYTHON
)

kdevplatform_add_plugin(kdevpdb JSON kdevpdb.json SOURCES ${kdevpdb_PART_SRCS})

generate_export_header(kdevpdb EXPORT_MACRO_NAME KDEVPYTHONDEBUG_EXPORT)

target_link_libraries(kdevpdb
    kdevpythonparser
    KDev::Interfaces
    KDev::Language
    KDev::Debugger
    KDev::OutputView
    KDev::Project
    KDev::Util
    KF6::TextEditor
)

install(FILES kdevpdb.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)
install(FILES kdevpdbcore.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)
install(FILES kdevpdbconn.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)
install(FILES asmskip.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)
install(FILES kdevpdbvariablesupport.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)

=== debian/changelog ===
kdevelop-python (25.11.80-0ubuntu1) resolute; urgency=high

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 09:22:32 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.08.3~),
+               kdevelop-dev (>= 4:25.11.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=63
+export KDEV_PLUGIN_VERSION=64
 
 %:
 	dh $@

## kdevelop-python 25.11.90

=== debian/changelog ===
kdevelop-python (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:04:18 +0000

kdevelop-python (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 09:22:32 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.11.80~),
+               kdevelop-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

## kdevelop-python 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:20:01 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.11.90~),
+               kdevelop-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),

## kdevelop-python 25.12.0+p24.04+vstable+git20251220.0318

=== debian/changelog ===
kdevelop-python (25.12.0+p24.04+vstable+git20251220.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:18:51 +0000

kdevelop-python (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:54 +1000

## kdevelop-python 25.12.0+p24.04+vstable+git20251223.0153

=== debian/changelog ===
kdevelop-python (25.12.0+p24.04+vstable+git20251223.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 23 Dec 2025 01:53:20 +0000

## kdevelop-python 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (25.12.1-0ubuntu4) resolute; urgency=medium

  * Bump allowed Python versions

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Feb 2026 10:56:49 +0000

kdevelop-python (25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:56:42 +0000

kdevelop-python (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:56:08 +0000

kdevelop-python (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:02:35 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.12.0~),
+               kdevelop-dev (>= 4:25.12.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
@@ -31,7 +31,7 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
-Architecture: amd64 arm64 armhf
+Architecture: amd64 amd64v3 arm64 armhf
 Depends: kdevelop-python-data (>= ${source:Version}),
          python3,
          ${misc:Depends},

## kdevelop-python 25.12.1+p24.04+vunstable+git20260107.0333

=== debian/changelog ===
kdevelop-python (25.12.1+p24.04+vunstable+git20260107.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:33:24 +0000

kdevelop-python (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:29 +1000

## kdevelop-python 25.12.1+p24.04+vunstable+git20260113.0303

=== debian/changelog ===
kdevelop-python (25.12.1+p24.04+vunstable+git20260113.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:03:15 +0000

## kdevelop-python 25.12.1+p24.04+vunstable+git20260128.1036

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.19)
 
 # KDE Gear version, managed by release service script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (25.12.1+p24.04+vunstable+git20260128.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 10:36:34 +0000

## kdevelop-python 25.12.2

=== debian/changelog ===
kdevelop-python (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:22:19 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.12.1~),
+               kdevelop-dev (>= 4:25.12.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
